<?php
/**
 * PerfGroupeNodeMigration
 * 
 */
class PerfDpressNodeUpdateMigration extends PerfDocsNodeUpdateMigration {
  public function __construct() {
		
		$this->description = t('Migrate Document Presse Class');

		$this->fields = array();

    $this->itemsfile = 'baseperf-dpress.xml';
    
    $this->item_xpath = '/ROOT/ITEMS/DOC_PRESSE';  // relative to document		
    
    parent::__construct();
    
    $this->addFieldMapping('nid', 'ID')
         ->sourceMigration('PerfDpressNode');
  }
  
  //   public function prepareRow($row){
  //     // $xml = $row->xml;
  //     parent::prepareRow($row);
  //  
  //  
  // }
	
	
}